Getting Started
 Top Next
If you are upgrading...
Virtual DJ Studio's latest version 4.5 offers many stability improvements and new features. If you are upgrading from a previous version, your options will be reset to defaults -- please go through VDJ's extensive Options Dialog to configure VDJ to your liking.

If you are new to VDJ...
Virtual DJ Studio provides a full studio for DJs. With it, you can play and mix multiple MP3 and WAV files, with an intuitive interface most DJs will be familiar with.

VDJ is laid out like a mixing console, where each "line" contains a built-in MP3 player. You can allow VDJ to display as many "lines" as will fit on your screen horizontally within the Options Dialog .

The interface may appear somewhat intimidating at first, but you will quickly familiarize yourself with it, learning what each button and slider does.

The next topic describes the Line Interface . Each line works the same way, so we explain in detail what each component of a "line" does.

After that, we move to the Master Line , which controls the final mix.


Line Interface
 Top Next
Each line within VDJ contains a full MP3 player. At the top, VDJ shows information about the file that is loaded in the line. Below that is the LCD display area, showing timing and other information about the file.

Below is an exploded view of the LCD display area, explaining what each part indicates:

Below that are typical Transport buttons - Play/Pause, Stop, Open/Load, CUE , Previous and Next.

The CUE button deserves explanation: if you configure VDJ to use multiple sound cards (see Options Dialog ), the CUE button routes this line through the secondary sound card, independent of its volume, mute, and crossfader settings.

The rest of the line is shown below:

You can see the Pan (Left/Right Balance), Volume (larger) and Pitch/Tempo (smaller) sliders, as well as a group of buttons:

This button causes the current file to play in a continuous loop.

This button mutes the current line. You can use this for example when using the CUE feature, to listen to this line over headphones without it going over the main mix.

This button only affects Playlist files; it causes VDJ to choose songs from the playlist in a random order.

This allows you to automatically "trigger" the next line when this line is finished. You can choose a number of seconds before the file is done, or let VDJ choose the appropriate trigger time by analyzing the audio level.

This causes VDJ to slowly reset the Pitch/Tempo to zero. For example, after beat-matching two files, you may wish to creep the playing file back to its default speed.

With Punch enabled, this line is forced into the mix, without having to be assigned to the Crossfader .

There are other options available as well, accessed via the Right-Click menu:

Choose Equalizer for the per-file EQ settings. These settings are saved so that the next time you open that file, its equalizer settings will be retained.

You can edit the ID3 tag information for an MP3 file, adjust the Filename Display Options, and more with this menu.

Of particular interest is the Save Layout feature; this allows you to save the entire layout of VDJ, including all open files, all slider and button settings, and the master faders and equalizer. You can then recall those settings in the future.

This allows you to plan a specific layout for a specific event or show ahead of time, and even have multiple layouts preselected.

Clicking Clear All Files & Settings will simply unload all open files, and reset the interface to the default settings.


Master Line
 Previous Top Next
The Master Line controls the final mix in VDJ. You can adjust the final mix volume, CUE output volume, and Equalization.

Below is the Master Equalizer:

You can right-click on the Equalizer for a menu of options:

You can save and recall Equalizer presets using this menu.

Below the Equalizer is a Spectrum Analyzer showing details of the final mix:

The ten analyzer bands correspond to the bands used for the Equalizer. Each segment represents one decibel. The two bars on the right represent the peak output level for the left and right channels.

The Master Faders control the final mix:

To the right of that you have the CUE output control:

This adjusts the volume of your secondary sound card, or CUE output. See the topic for the Preview/CUE feature for details.

Next, you have several buttons:

This opens VDJ's Options Dialog , which allows you to control many aspects of VDJ's behavior.

This button opens the Plugins dialog. VDJ supports plugins created by developers, and VDJ comes bundled with a few simple plugins as well.

This launches VDJ's help file (what you are reading now).

This button launches VDJ's File Navigator .

This launches VDJ's Karaoke Options window. The window appears automatically when a Karaoke file is played, but clicking this button causes the window to stay visible. Clicking it while the Karaoke window is visible causes it to be hidden.

This button puts VDJ in Full-Screen mode. Click again to restore back to normal mode.


Crossfader
The Crossfader works like a crossfader found on a typical DJ mixer. It allows you to select a Line assigned to each side, and slide the fader to the left or right to mix between the two assigned lines.

At the bottom of each line are two buttons:

When Punch-In is shown like in the above picture, the line is always audible; in other words, it is routed directly to the output mix.

If you Mute a line, this section looks like the following:

Clicking on the buttons on either side will assign that line to the respective side of the Crossfader:

In this situation, the line is assigned to the Right side of the Crossfader. Sliding the fader to the left will cause this line to become inaudible.

The Crossfader has some buttons of its own:

Clicking the << and >> buttons cause the fader to AutoFade in that direction. You can adjust the speed of this in the Options Dialog .

Clicking the [image] button swaps the two sides of the crossfader. This is useful if, for example, the line assigned to the left side is physically to the right of the line assigned to the right side; clicking this will cause the interface to make more sense, to match the actual physical layout.


Keyboard Support
VDJ supports many keyboard commands. First, there are the Hotkeys; these work no matter what line has focus:

Pressing SHIFT + Number will cause the numbered line to Play or Pause. For example, holding SHIFT and pressing the number 3 will make line 3 start to play.

Pressing CTRL + Number will cause the respective line to stop playback.

Per-Line Keys
When a line has focus, there are many keys you can use. First, the group of buttons including Ins, Home, PgUp, Del, End, and PgDn correspond to the six buttons to control each line:

So for example, pressing DEL will toggle the CUE feature for that line. Note that some keyboards come with non-standard key arrangements, so this may not make as much sense; but if you have a standard keyboard where these buttons are like below:

The arrangement will make sense:

Other Buttons
You can also use the Up/Down arrow keys to adjust the volume fader for the selected line. Additionally, if you hold CTRL, the Up/Down arrows adjust the Pitch/Tempo fader.


Karaoke Support
As of version 4.0, VDJ introduced experimental Karaoke Support. Now, as of version 4.5, VDJ offers better Karaoke support and more Karaoke features than any other PC software available.

VDJ offers features you simply will not find, and every possible feature available is included.

File Format Support
VDJ supports Karaoke files in the following formats:

MP3+CDG - An MP3 file containing the audio portion, and a CDG file containing the Karaoke data. If any MP3 file is playing that has a corresponding CDG file (of the same base filename in the same directory), VDJ will interpret this as a Karaoke file.

Karaoke ZIP - A ZIP file containing both an MP3 and a CDG file. This helps make management of your Karaoke collection much easier. When inside a ZIP file, the MP3 and CDG files do not have to have the same name.

.KZ File - A ZIP file renamed to have a KZ extension. This helps to avoid Windows trying to read inside all of your Karaoke files; Windows tries to treat all ZIP files as folders, but when you have thousands of ZIP files in one directory, this can become quite slow. Renaming them to KZ simply forces Windows to not look inside each one. VDJ recognizes KZ and ZIP files exactly the same.

Note that you can also place an image file inside the ZIP or KZ file. When VDJ finds an image file (BMP, JPG, GIF or PNG), it will display this image behind the lyrics when that particular file is playing, overriding the default background image. See Karaoke Options for details.

Other Options
The Karaoke Options window has many unique features:

This window lets you control everything about Karaoke playback. You can specify how the background is displayed: either the default background (as specified in the Karaoke data), a custom background color, or even a background image.

When an image is selected, you can opt to have VDJ darken the image when Karaoke lyrics are being displayed. For example:

You can also specify custom text to show at the top and bottom of the screen, as in the example above.

Additionally, you can adjust the Key and Synchronization of a Karaoke file while it is being played back.

Singers List
VDJ also has a Singers List window. When this window is displayed, you can queue singers, and enter their names. You can re-order the singers on the fly as well.

This allows you to take Karaoke requests, and have as many singers lined up as you require, and since you can enter the singer's name you won't forget who is singing what.

You can drag directly from the list into any line in VDJ, or right-click on an entry to open it in a specific line.

When a Karaoke song is not being played, the singer list is displayed on the CDG window. This is handy so that your customers can see who is coming up, or determine how long they have before their song is up.

You can optionally choose to allow a double-click to open the song in the first line in VDJ automatically (click the Options menu to enable/disable this feature).

All in all, VDJ allows you to host a Karaoke show that is streamlined and professional, without much effort. No more digging through CD cases, looking up song index numbers, or fumbling through request slips to see who's up next.


Preview (CUE) Support
VDJ lets you use up to two separate sound cards or audio devices. This feature is very handy for being able to preview a song before you play it over the main mix.

Many DJs use VDJ on a Laptop or Notebook PC. In general, the internal audio on most Laptops is of poor quality, often with hard-disk noise entering your mix. This is especially noticeable if you connect your laptop into a PA system.

A USB audio device will, in most cases, provide superior audio quality. Once connected, you can use VDJ's Audio Device Options to select the USB device as your primary sound card, and the Internal audio for the Secondary (or CUE) device.

Once you have done this, you can connect your headphones directly into the laptop's internal audio, or go through your mixer's CUE or alternate bus.

Many users utilize this feature to assist with Beat matching. You can set your CUE output to play the main mix in the left channel, and your CUE mix in the right; then you can beat-match the files using VDJ's Pitch/Tempo control, and once you are synced up, simply crossfade into the CUE'd song.


File Navigator
The File Navigator lets you select files for playback, create playlists, and hold song requests:

Its operation is relatively self-explanatory. If you have multiple sound card support enabled, you can even preview files on your secondary sound card.


Plugins
VDJ supports Plugins, in VDJ's own specific Plugin format. See our Plugin website for more details on how to create and use Plugins:

http://www.vdj.net/plugins/

You can enable, reorder, and adjust settings for each plugin available.


VDJ Options
VDJ offers many program options and settings. Click on the Options button to bring up the Options dialog. Each page of the Options dialog is described separately:

General
Display
Colors
Audio Devices
Playback
Crossfader
File Navigator
Karaoke


General

Here you can choose how VDJ handles the opening of files, as well as confirmation upon closing.


Display

Here you can control the display aspects of VDJ. You can show as many Lines as will fit horizontally on your display.


Colors

Here you can adjust the color scheme for VDJ.


Audio Devices

This page allows you to control which sound card(s) VDJ uses. If you have multiple audio cards, you can use VDJ's Preview/CUE functions on a secondary audio card. For example, you may use Headphones with one sound card so that you can preview a file before it goes over the main mix.

Alternatively, you can use the headphones to assist with Beat Matching two files, with the help of the Pitch/Tempo control.


Playback

This page lets you control many aspects of Playback.

The Pitch/Tempo control can be used to either control the Pitch (resampling the audio) or the Tempo (adjust speed without affecting the Pitch).

You can control just how much effect the Pitch/Tempo control has, from 8% up to 100%.

You can also adjust the Gap-Killer (Skip Leading Silence).


Crossfader

This page lets you adjust the speed at which the Auto Fade happens.


File Navigator

This page lets you control the different Queues within the File Navigator.


Karaoke

This page controls the Karaoke Support .

Keep Karaoke Window Open simply keeps the Karaoke Options window open even when a Karaoke file is not currently playing.

Disable Gap-Killer makes sure that VDJ does not skip leading silence on Karaoke files. Many times you need the introduction on the screen before the music begins to play.

Allow Custom Backgrounds - this option allows a Karaoke Zip file to have a custom background image embedded inside. Simply place any .BMP, .JPG, .GIF or .PNG file inside the Karaoke Zip file, and it will be displayed behind the lyrics when that file is played back.

Use Smooth Image Resizing - This option does a nice anti-aliasing when the Karaoke image is resized (for example, when displaying full-screen).

This option utilizes a lot of CPU, so you will need a fast machine and good video card for this to work nicely. Also note that, when used on a television, the difference is negligable. It is usually not worth the extra overhead when using a television.


Licensing
 Previous Top
Virtual DJ Studio ("VDJ" or "the product") is a commercial software product. We offer a full 30 day risk-free trial of the product. No information is requested or collected when you opt for this trial period - you can try all of VDJ's features on your own time.

If you choose to purchase VDJ for only $39.95, you will receive a license key that allows you to use VDJ on up to two separate machines.

You are NOT permitted to use the trial version of the product in a commercial setting, for public entertainment, or for profit of any kind. Such use terminates your right to use the product.

Once you have purchased a license, you may then use VDJ in any environment for public entertainment, in a commercial setting, and even for profit.

Important Notice: Some organizations are selling illegal copies of Virtual DJ Studio. Please make sure to purchase Virtual DJ Studio only from our own website, http://www.vdj.net/. Specifically, do not purchase our software via any online auction site such as eBay as it will most certainly be an unauthorized copy. We do not sell our software via any online auction websites.

If you would like more information, or to purchase Virtual DJ Studio, please visit our website at:

http://www.vdj.net/

Virtual DJ Studio is Copyright © 1997 to 2002 by Justin Nelson, and 2002 to 2006 by Next Generation Software, Inc. All Rights Reserved.